Get the report

Prev Next
Get
/v1/EntityImport/{importId}/report

Returns a report on the import.

Security
API Key: Authorization
Header parameter nameAuthorization

Add an Authorization header to authenticate requests originating outside of Zilliant's internal network. Set the header to Authorization: OAuth <tokenResponseBase64>.

<tokenResponseBase64> is the Base64-encoded entire JSON response body returned by the Salesforce OAuth token endpoint. Encode the full JSON payload, not only the access_token field.

For details, read Request an access token.

Header parameters
X-Forwarded-Host
string

OAuth host for your environment. Use it for all requests that originate outside Zilliant’s internal network. For details, read X-Forwarded-Host header in Introduction.

Path parameters
importId
stringRequired

Import identifier returned in a successful 201 response from the POST Invoke the file import workflow request.

Responses
200

Returns import report.

Partially successful import

Example of a partially successful import

{
  "status": "PARTIAL_SUCCESS",
  "processedRows": 7000,
  "failedRows": 3000,
  "message": "When importing S3 file entity-import/e15fbe4e-e59e-4652-9b61-7fe1a412c55b/data into entity Import_2, 3000 of 10000 rows could not be imported. Check the error file in S3 for details."
}
Successful import

Example of a successful import

{
  "status": "SUCCESS",
  "processedRows": 5,
  "message": "When importing S3 file entity-import/e15fbe4e-e59e-4652-9b61-7fe1a412c55b/data into entity Import_2, 10000 rows were imported."
}
object
status
string

Overall result of the import job.

Valid values[ "FAILED", "SUCCESS", "PARTIAL_SUCCESS" ]
ExamplePARTIAL_SUCCESS
processedRows
integer

Number of rows processed successfully. This parameter doesn't appear if the import status is FAILED.

Example7000
failedRows
integer

Number of rows that failed to import. This parameter doesn't appear if the import status is SUCCESS.

Example3000
message
string

Summary of the import result and where to find error details.

400

Bad request.

404

Import ID not found.